Bug Hunting Session
Bug 86009 - Pressing Ctrl+Z doesn’t trigger formula update
Summary: Pressing Ctrl+Z doesn’t trigger formula update
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-07 15:41 UTC by nokotoa
Modified: 2015-04-22 14:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
file with bug, is not recalculated with F9 (11.66 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-12-15 05:06 UTC, sirocco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nokotoa 2014-11-07 15:41:38 UTC
Bad Recalculation


If you do the following

in cell b2 insert a 1
in cell c2 insert a 2
in cell d2 insert a 3
in cell e5 insert formula =SUM(B2:D2)
cell e5 shows a 6 (That is OK)

Then:
 move to cell c2
 delete cell

cell e5 shows a 4 (That is OK)

Then: 
 undo

cell e5 keeps showing a 4 (IT IS A BUG, e5 should be showing a 6)
Comment 1 nokotoa 2014-11-07 15:43:51 UTC
Version is Version: 4.3.3.2
Build ID: 9bb7eadab57b6755b1265afa86e04bf45fbfc644
Comment 2 Alberto Ferreira 2014-11-07 16:04:35 UTC
Helo,

I have tried to simulate the Bad Recalculation with Libreoffice 4.3.3.2 on Windows and all calculation are correct.

Check again.
Comment 3 Adolfo Jayme 2014-11-08 15:57:01 UTC
I can confirm this behavior if I trigger Undo by pressing Ctrl+Z.
If I click the Undo toolbar item instead, the bug is not reproducible.

Tested with LibreOffice Calc 4.3.3.2 under Ubuntu.
Comment 4 Renato Ferreira 2014-12-01 00:33:08 UTC
I cannot reproduce the bug in master build 4.5.0.0.alpha0+.
Maybe it is already fixed?
Comment 5 Adolfo Jayme 2014-12-01 11:56:09 UTC
(In reply to Renato Ferreira from comment #4)
> I cannot reproduce the bug in master build 4.5.0.0.alpha0+.
> Maybe it is already fixed?

Perhaps this was fixed by http://cgit.freedesktop.org/libreoffice/core/commit/?id=5cec4ea827570a5bb0a368025f3733b841107d07, which will be in 4.2.8, 4.3.6 and 4.4.
Comment 6 sirocco 2014-12-15 05:06:20 UTC
Created attachment 110841 [details]
file with bug, is not recalculated with F9
Comment 7 sirocco 2014-12-15 05:07:38 UTC
Comment on attachment 110841 [details]
file with bug, is not recalculated with F9

tested with Libreoffice 4.2.8.2
Comment 8 Matthew Francis 2015-04-22 14:37:37 UTC
Reproduced in 4.3.3.2 as per comments 1 and 3
Not reproduced in 4.3.7.1 or 4.4.2.2 (4.2.x is EOL)

Setting -> RESOLVED WORKSFORME (as a specific commit hasn't been identified)